6.0.0-git
2019-03-19

[#6237] From address domain
Summary From address domain
Queue Vacation
Queue Version HEAD
Type Enhancement
State No Feedback
Priority 1. Low
Owners
Requester rsalmon (at) mbpgroup (dot) com
Created 2008-02-08 (4057 days ago)
Due
Updated 2010-04-05 (3270 days ago)
Assigned
Resolved 2010-04-05 (3270 days ago)
Milestone
Patch Yes

History
2010-04-05 13:22:46 Jan Schneider State ⇒ No Feedback
 
2009-09-02 11:35:12 rsalmon (at) mbpgroup (dot) com Comment #7 Reply to this comment
if you want to patch Vacation.
I'll have a look when I get a chance. But I can't promise anything 
since things are not going too well over here.


2009-09-01 08:30:30 Jan Schneider Comment #6 Reply to this comment
But, is vacation going to still exists since Ingo does the same thing
(and better)?
Not in the long term. But that doesn't mean that it shouldn't be 
implemented correctly, if you want to patch Vacation.
2009-09-01 08:13:24 rsalmon (at) mbpgroup (dot) com Comment #5 Reply to this comment
I would rather like to see this implemented as a hook, like in Ingo.
I guess a hook could do the job as well (probably more flexible and 
easier to maintain).

But, is vacation going to still exists since Ingo does the same thing 
(and better)?




2009-08-18 21:37:23 Jan Schneider Comment #4
State ⇒ Feedback
Reply to this comment
I would rather like to see this implemented as a hook, like in Ingo.
2008-03-06 00:10:27 Jan Schneider State ⇒ Accepted
Patch ⇒ Yes
 
2008-02-12 12:39:38 rsalmon (at) mbpgroup (dot) com Comment #3
New Attachment: vacation.diff Download
Reply to this comment
This should already be possible by adding a "realm" (domain) specific
configuration to conf.php.
I've made a patch.

If $GLOBALS['conf']['vacation']['from'] is set to true, works like 
before patch

If $GLOBALS['conf']['vacation']['from'] is set to false, try to get 
default email.
2008-02-12 11:03:01 Jan Schneider Comment #2
State ⇒ Rejected
Reply to this comment
This should already be possible by adding a "realm" (domain) specific 
configuration to conf.php.
2008-02-08 14:06:07 rsalmon (at) mbpgroup (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ From address domain
Queue ⇒ Vacation
Reply to this comment


We would like the From address  field set automatically so that users 
don't enter rubbish.



Is it possible to add an option that would set automatically the From 
field like this :

<user id>@<imp's pref mail_domain>



Otherwise, if $conf['vacation']['from'] = false, the email is sent as 
<user id>@<hostname>





thanks,

Ronan.

Saved Queries